public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-misc/pip3line/
@ 2018-11-29 20:48 Virgil Dupras
  0 siblings, 0 replies; 8+ messages in thread
From: Virgil Dupras @ 2018-11-29 20:48 UTC (permalink / raw
  To: gentoo-commits

commit:     e0ecbeb23685caa949b18000e6e4f188cc710375
Author:     Gabriel Caudrelier <gabriel.caudrelier <AT> gmail <DOT> com>
AuthorDate: Tue Oct 30 02:33:54 2018 +0000
Commit:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
CommitDate: Thu Nov 29 20:48:34 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0ecbeb2

app-misc/pip3line: Add new package

Signed-off-by: Gabriel Caudrelier <gabriel.caudrelier <AT> gmail.com>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Bug: https://bugs.gentoo.org/667984
Closes: https://github.com/gentoo/gentoo/pull/10336
Signed-off-by: Virgil Dupras <vdupras <AT> gentoo.org>

 app-misc/pip3line/Manifest              |  1 +
 app-misc/pip3line/metadata.xml          | 17 +++++++
 app-misc/pip3line/pip3line-3.5.4.ebuild | 87 +++++++++++++++++++++++++++++++++
 app-misc/pip3line/pip3line-9999.ebuild  | 87 +++++++++++++++++++++++++++++++++
 4 files changed, 192 insertions(+)

diff --git a/app-misc/pip3line/Manifest b/app-misc/pip3line/Manifest
new file mode 100644
index 00000000000..49dcda22a14
--- /dev/null
+++ b/app-misc/pip3line/Manifest
@@ -0,0 +1 @@
+DIST pip3line-3.5.4.tar.gz 732872 BLAKE2B e544a2e1af958f3b1ef2e523d8489c807976523109ef8cc73f2c43b543ba9bd0b48d49009637d386e69f7768db6e2bd5a8f098d30dbd199a0b3d6bdaf782c103 SHA512 4a5421e4bf197d8ba2802c3007cfdd4d75a8c356f5bd8774d7f50bb3301e6beb52cc06f7d3486e85c3eaa16d192643afeb00b95e4d174ce16665b509e522ee6a

diff --git a/app-misc/pip3line/metadata.xml b/app-misc/pip3line/metadata.xml
new file mode 100644
index 00000000000..9cc54c99226
--- /dev/null
+++ b/app-misc/pip3line/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>gabriel.caudrelier@gmail.com</email>
+		<name>Gabriel Caudrelier</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<use>
+		<flag name='distorm'>Compile the Distorm plugin</flag>
+		<flag name='qscintilla'>Use QScintilla for more efficient text display</flag>
+		<flag name='ssl'>Compile the plugin adding miscellaneous hashes from OpenSSL</flag>
+	</use>
+</pkgmetadata>

diff --git a/app-misc/pip3line/pip3line-3.5.4.ebuild b/app-misc/pip3line/pip3line-3.5.4.ebuild
new file mode 100644
index 00000000000..9789c01998c
--- /dev/null
+++ b/app-misc/pip3line/pip3line-3.5.4.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} )
+
+inherit cmake-utils python-r1 python-utils-r1
+
+DESCRIPTION="Raw bytes manipulation, transformations (decoding and more) and interception"
+HOMEPAGE="https://github.com/metrodango/pip3line"
+
+if [[ ${PV} == 9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/metrodango/pip3line.git"
+	EGIT_BRANCH="master"
+else
+	SRC_URI="https://github.com/metrodango/pip3line/archive/v${PV}.tar.gz  -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+
+# A few comments
+# the ssl flag is just there to enable the plugin for low level crypto algorithms. 
+# It has nothing to do with the SSL/TLS protocol itself.
+
+IUSE="distorm python qscintilla ssl"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtsvg:5
+	dev-qt/qtwidgets:5
+	dev-qt/qtxmlpatterns:5
+	qscintilla? ( x11-libs/qscintilla )
+	ssl? ( dev-libs/openssl:0= )"
+
+DEPEND="${RDEPEND}
+	distorm? ( dev-vcs/git )"
+
+src_configure() {
+
+	local mycmakeargs=(
+		-DBASIC=yes
+		-DWITH_DISTORM=$(usex distorm)
+		-DWITH_OPENSSL=$(usex ssl)
+		-DWITH_SCINTILLA=$(usex qscintilla)
+	)
+
+	# distorm is statically linked, due to insufficiencies
+	# in the current distorm64 package 
+
+	if use distorm; then
+		mycmakeargs+=(-DWITH_DISTORM_LINK_STATICALLY=ON)
+	fi
+
+	if use python; then
+		local targets=( ${PYTHON_TARGETS} )
+		for target in ${targets[@]}; do
+			if python_is_python3 ${target}; then
+				python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
+				mycmakeargs+=(-DWITH_PYTHON3=ON
+					-DPYTHON3_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
+					-DPYTHON3_LIBRARIES=${PYTHON_LIBPATH}
+				)
+				break
+			fi
+		done
+		for target in ${targets[@]}; do
+			if ! python_is_python3 ${target}; then
+				python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
+				mycmakeargs+=(-DWITH_PYTHON27=ON
+					-DPYTHON27_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
+					-DPYTHON27_LIBRARIES=${PYTHON_LIBPATH}
+				)
+				break
+			fi
+		done
+	fi
+
+	cmake-utils_src_configure
+}

diff --git a/app-misc/pip3line/pip3line-9999.ebuild b/app-misc/pip3line/pip3line-9999.ebuild
new file mode 100644
index 00000000000..9789c01998c
--- /dev/null
+++ b/app-misc/pip3line/pip3line-9999.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} )
+
+inherit cmake-utils python-r1 python-utils-r1
+
+DESCRIPTION="Raw bytes manipulation, transformations (decoding and more) and interception"
+HOMEPAGE="https://github.com/metrodango/pip3line"
+
+if [[ ${PV} == 9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/metrodango/pip3line.git"
+	EGIT_BRANCH="master"
+else
+	SRC_URI="https://github.com/metrodango/pip3line/archive/v${PV}.tar.gz  -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+
+# A few comments
+# the ssl flag is just there to enable the plugin for low level crypto algorithms. 
+# It has nothing to do with the SSL/TLS protocol itself.
+
+IUSE="distorm python qscintilla ssl"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtsvg:5
+	dev-qt/qtwidgets:5
+	dev-qt/qtxmlpatterns:5
+	qscintilla? ( x11-libs/qscintilla )
+	ssl? ( dev-libs/openssl:0= )"
+
+DEPEND="${RDEPEND}
+	distorm? ( dev-vcs/git )"
+
+src_configure() {
+
+	local mycmakeargs=(
+		-DBASIC=yes
+		-DWITH_DISTORM=$(usex distorm)
+		-DWITH_OPENSSL=$(usex ssl)
+		-DWITH_SCINTILLA=$(usex qscintilla)
+	)
+
+	# distorm is statically linked, due to insufficiencies
+	# in the current distorm64 package 
+
+	if use distorm; then
+		mycmakeargs+=(-DWITH_DISTORM_LINK_STATICALLY=ON)
+	fi
+
+	if use python; then
+		local targets=( ${PYTHON_TARGETS} )
+		for target in ${targets[@]}; do
+			if python_is_python3 ${target}; then
+				python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
+				mycmakeargs+=(-DWITH_PYTHON3=ON
+					-DPYTHON3_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
+					-DPYTHON3_LIBRARIES=${PYTHON_LIBPATH}
+				)
+				break
+			fi
+		done
+		for target in ${targets[@]}; do
+			if ! python_is_python3 ${target}; then
+				python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
+				mycmakeargs+=(-DWITH_PYTHON27=ON
+					-DPYTHON27_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
+					-DPYTHON27_LIBRARIES=${PYTHON_LIBPATH}
+				)
+				break
+			fi
+		done
+	fi
+
+	cmake-utils_src_configure
+}


^ permalink raw reply related	[flat|nested] 8+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-misc/pip3line/
@ 2018-12-08 22:17 Patrice Clement
  0 siblings, 0 replies; 8+ messages in thread
From: Patrice Clement @ 2018-12-08 22:17 UTC (permalink / raw
  To: gentoo-commits

commit:     ba60ed0e19d82ec34f3a7e5cddfe14e6e7c2045f
Author:     Gabriel Caudrelier <gabriel.caudrelier <AT> gmail <DOT> com>
AuthorDate: Wed Dec  5 03:27:35 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Dec  8 22:17:10 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba60ed0e

app-misc/pip3line: version bump to 3.5.5.

Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: Gabriel Caudrelier <gabriel.caudrelier <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/10575
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-misc/pip3line/Manifest              |  1 +
 app-misc/pip3line/pip3line-3.5.5.ebuild | 87 +++++++++++++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/app-misc/pip3line/Manifest b/app-misc/pip3line/Manifest
index 49dcda22a14..7d9839be610 100644
--- a/app-misc/pip3line/Manifest
+++ b/app-misc/pip3line/Manifest
@@ -1 +1,2 @@
 DIST pip3line-3.5.4.tar.gz 732872 BLAKE2B e544a2e1af958f3b1ef2e523d8489c807976523109ef8cc73f2c43b543ba9bd0b48d49009637d386e69f7768db6e2bd5a8f098d30dbd199a0b3d6bdaf782c103 SHA512 4a5421e4bf197d8ba2802c3007cfdd4d75a8c356f5bd8774d7f50bb3301e6beb52cc06f7d3486e85c3eaa16d192643afeb00b95e4d174ce16665b509e522ee6a
+DIST pip3line-3.5.5.tar.gz 733385 BLAKE2B e9577fb02d778b689d1c3f5849f714b7d27a5ad49a7a68e412a19cb8251e7ca1d76d0a046bfe10db2257593ccba4f1aa5fff0f34c317975f75ef347f50172088 SHA512 95cbc567f1a7f2bcbc07fe7d560829d9538c126a2748b762fcf505bad47926376abea9d8eaba8670f4c3826b988ea1ea1338faf625a6cdf8db17f457af4edbbb

diff --git a/app-misc/pip3line/pip3line-3.5.5.ebuild b/app-misc/pip3line/pip3line-3.5.5.ebuild
new file mode 100644
index 00000000000..9789c01998c
--- /dev/null
+++ b/app-misc/pip3line/pip3line-3.5.5.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} )
+
+inherit cmake-utils python-r1 python-utils-r1
+
+DESCRIPTION="Raw bytes manipulation, transformations (decoding and more) and interception"
+HOMEPAGE="https://github.com/metrodango/pip3line"
+
+if [[ ${PV} == 9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/metrodango/pip3line.git"
+	EGIT_BRANCH="master"
+else
+	SRC_URI="https://github.com/metrodango/pip3line/archive/v${PV}.tar.gz  -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+
+# A few comments
+# the ssl flag is just there to enable the plugin for low level crypto algorithms. 
+# It has nothing to do with the SSL/TLS protocol itself.
+
+IUSE="distorm python qscintilla ssl"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtsvg:5
+	dev-qt/qtwidgets:5
+	dev-qt/qtxmlpatterns:5
+	qscintilla? ( x11-libs/qscintilla )
+	ssl? ( dev-libs/openssl:0= )"
+
+DEPEND="${RDEPEND}
+	distorm? ( dev-vcs/git )"
+
+src_configure() {
+
+	local mycmakeargs=(
+		-DBASIC=yes
+		-DWITH_DISTORM=$(usex distorm)
+		-DWITH_OPENSSL=$(usex ssl)
+		-DWITH_SCINTILLA=$(usex qscintilla)
+	)
+
+	# distorm is statically linked, due to insufficiencies
+	# in the current distorm64 package 
+
+	if use distorm; then
+		mycmakeargs+=(-DWITH_DISTORM_LINK_STATICALLY=ON)
+	fi
+
+	if use python; then
+		local targets=( ${PYTHON_TARGETS} )
+		for target in ${targets[@]}; do
+			if python_is_python3 ${target}; then
+				python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
+				mycmakeargs+=(-DWITH_PYTHON3=ON
+					-DPYTHON3_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
+					-DPYTHON3_LIBRARIES=${PYTHON_LIBPATH}
+				)
+				break
+			fi
+		done
+		for target in ${targets[@]}; do
+			if ! python_is_python3 ${target}; then
+				python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
+				mycmakeargs+=(-DWITH_PYTHON27=ON
+					-DPYTHON27_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
+					-DPYTHON27_LIBRARIES=${PYTHON_LIBPATH}
+				)
+				break
+			fi
+		done
+	fi
+
+	cmake-utils_src_configure
+}


^ permalink raw reply related	[flat|nested] 8+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-misc/pip3line/
@ 2019-03-18 22:53 Patrice Clement
  0 siblings, 0 replies; 8+ messages in thread
From: Patrice Clement @ 2019-03-18 22:53 UTC (permalink / raw
  To: gentoo-commits

commit:     72ba7a910d5476974df80ddcc4ff2847aa5cb40b
Author:     Gabriel Caudrelier <gabriel.caudrelier <AT> gmail <DOT> com>
AuthorDate: Sun Mar 17 21:53:13 2019 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon Mar 18 22:52:50 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72ba7a91

app-misc/pip3line: version bump to 3.6.0.

And remove old version

Package-Manager: Portage-2.3.62, Repoman-2.3.11
Signed-off-by: Gabriel Caudrelier <gabriel.caudrelier <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/11397
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-misc/pip3line/Manifest                                         | 2 +-
 app-misc/pip3line/{pip3line-3.5.4.ebuild => pip3line-3.6.0.ebuild} | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/app-misc/pip3line/Manifest b/app-misc/pip3line/Manifest
index 7d9839be610..35700040cef 100644
--- a/app-misc/pip3line/Manifest
+++ b/app-misc/pip3line/Manifest
@@ -1,2 +1,2 @@
-DIST pip3line-3.5.4.tar.gz 732872 BLAKE2B e544a2e1af958f3b1ef2e523d8489c807976523109ef8cc73f2c43b543ba9bd0b48d49009637d386e69f7768db6e2bd5a8f098d30dbd199a0b3d6bdaf782c103 SHA512 4a5421e4bf197d8ba2802c3007cfdd4d75a8c356f5bd8774d7f50bb3301e6beb52cc06f7d3486e85c3eaa16d192643afeb00b95e4d174ce16665b509e522ee6a
 DIST pip3line-3.5.5.tar.gz 733385 BLAKE2B e9577fb02d778b689d1c3f5849f714b7d27a5ad49a7a68e412a19cb8251e7ca1d76d0a046bfe10db2257593ccba4f1aa5fff0f34c317975f75ef347f50172088 SHA512 95cbc567f1a7f2bcbc07fe7d560829d9538c126a2748b762fcf505bad47926376abea9d8eaba8670f4c3826b988ea1ea1338faf625a6cdf8db17f457af4edbbb
+DIST pip3line-3.6.0.tar.gz 736294 BLAKE2B 75bc3bcd3ad547a31a1fc97f525a8575136ba1bcb48e5e9d7292732c04d2a62cd03710a4e6d76a652d5259e5081cf8cc8c2dfc3265ecf1f3ea5cbc6870c02ab6 SHA512 4263d18749533f1137dc3546a6a5b5856f9c5dc09355c866c7e6a8fc59787c84ee979f648f563c465aab314ff9155bba6e34e7d4641438d96bdb786c93dfaec8

diff --git a/app-misc/pip3line/pip3line-3.5.4.ebuild b/app-misc/pip3line/pip3line-3.6.0.ebuild
similarity index 98%
rename from app-misc/pip3line/pip3line-3.5.4.ebuild
rename to app-misc/pip3line/pip3line-3.6.0.ebuild
index 9789c01998c..26d9bd9f18b 100644
--- a/app-misc/pip3line/pip3line-3.5.4.ebuild
+++ b/app-misc/pip3line/pip3line-3.6.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6


^ permalink raw reply related	[flat|nested] 8+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-misc/pip3line/
@ 2019-05-19  0:07 Michael Palimaka
  0 siblings, 0 replies; 8+ messages in thread
From: Michael Palimaka @ 2019-05-19  0:07 UTC (permalink / raw
  To: gentoo-commits

commit:     985fe2ed90a401937c152456de2798455acd6087
Author:     Gabriel Caudrelier <gabriel.caudrelier <AT> gmail <DOT> com>
AuthorDate: Sat May 18 21:43:51 2019 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sun May 19 00:07:22 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=985fe2ed

app-misc/pip3line: Remove old

Closes: https://github.com/gentoo/gentoo/pull/12047
Package-Manager: Portage-2.3.62, Repoman-2.3.11
Signed-off-by: Gabriel Caudrelier <gabriel.caudrelier <AT> gmail.com>
Signed-off-by: Michael Palimaka <kensington <AT> gentoo.org>

 app-misc/pip3line/Manifest              |  1 -
 app-misc/pip3line/pip3line-3.5.5.ebuild | 87 ---------------------------------
 2 files changed, 88 deletions(-)

diff --git a/app-misc/pip3line/Manifest b/app-misc/pip3line/Manifest
index 35700040cef..25f8349bf5a 100644
--- a/app-misc/pip3line/Manifest
+++ b/app-misc/pip3line/Manifest
@@ -1,2 +1 @@
-DIST pip3line-3.5.5.tar.gz 733385 BLAKE2B e9577fb02d778b689d1c3f5849f714b7d27a5ad49a7a68e412a19cb8251e7ca1d76d0a046bfe10db2257593ccba4f1aa5fff0f34c317975f75ef347f50172088 SHA512 95cbc567f1a7f2bcbc07fe7d560829d9538c126a2748b762fcf505bad47926376abea9d8eaba8670f4c3826b988ea1ea1338faf625a6cdf8db17f457af4edbbb
 DIST pip3line-3.6.0.tar.gz 736294 BLAKE2B 75bc3bcd3ad547a31a1fc97f525a8575136ba1bcb48e5e9d7292732c04d2a62cd03710a4e6d76a652d5259e5081cf8cc8c2dfc3265ecf1f3ea5cbc6870c02ab6 SHA512 4263d18749533f1137dc3546a6a5b5856f9c5dc09355c866c7e6a8fc59787c84ee979f648f563c465aab314ff9155bba6e34e7d4641438d96bdb786c93dfaec8

diff --git a/app-misc/pip3line/pip3line-3.5.5.ebuild b/app-misc/pip3line/pip3line-3.5.5.ebuild
deleted file mode 100644
index 8506a3ba996..00000000000
--- a/app-misc/pip3line/pip3line-3.5.5.ebuild
+++ /dev/null
@@ -1,87 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python{2_7,3_{5,6,7}} )
-
-inherit cmake-utils python-r1 python-utils-r1
-
-DESCRIPTION="Raw bytes manipulation, transformations (decoding and more) and interception"
-HOMEPAGE="https://github.com/metrodango/pip3line"
-
-if [[ ${PV} == 9999* ]] ; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/metrodango/pip3line.git"
-	EGIT_BRANCH="master"
-else
-	SRC_URI="https://github.com/metrodango/pip3line/archive/v${PV}.tar.gz  -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
-fi
-
-LICENSE="GPL-3"
-SLOT="0"
-
-# A few comments
-# the ssl flag is just there to enable the plugin for low level crypto algorithms. 
-# It has nothing to do with the SSL/TLS protocol itself.
-
-IUSE="distorm python qscintilla ssl"
-
-RDEPEND="
-	${PYTHON_DEPS}
-	dev-qt/qtconcurrent:5
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtnetwork:5
-	dev-qt/qtsvg:5
-	dev-qt/qtwidgets:5
-	dev-qt/qtxmlpatterns:5
-	qscintilla? ( x11-libs/qscintilla )
-	ssl? ( dev-libs/openssl:0= )"
-
-DEPEND="${RDEPEND}
-	distorm? ( dev-vcs/git )"
-
-src_configure() {
-
-	local mycmakeargs=(
-		-DBASIC=yes
-		-DWITH_DISTORM=$(usex distorm)
-		-DWITH_OPENSSL=$(usex ssl)
-		-DWITH_SCINTILLA=$(usex qscintilla)
-	)
-
-	# distorm is statically linked, due to insufficiencies
-	# in the current distorm64 package 
-
-	if use distorm; then
-		mycmakeargs+=(-DWITH_DISTORM_LINK_STATICALLY=ON)
-	fi
-
-	if use python; then
-		local targets=( ${PYTHON_TARGETS} )
-		for target in ${targets[@]}; do
-			if python_is_python3 ${target}; then
-				python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
-				mycmakeargs+=(-DWITH_PYTHON3=ON
-					-DPYTHON3_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
-					-DPYTHON3_LIBRARIES=${PYTHON_LIBPATH}
-				)
-				break
-			fi
-		done
-		for target in ${targets[@]}; do
-			if ! python_is_python3 ${target}; then
-				python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
-				mycmakeargs+=(-DWITH_PYTHON27=ON
-					-DPYTHON27_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
-					-DPYTHON27_LIBRARIES=${PYTHON_LIBPATH}
-				)
-				break
-			fi
-		done
-	fi
-
-	cmake-utils_src_configure
-}


^ permalink raw reply related	[flat|nested] 8+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-misc/pip3line/
@ 2019-08-04 23:39 Aaron Bauman
  0 siblings, 0 replies; 8+ messages in thread
From: Aaron Bauman @ 2019-08-04 23:39 UTC (permalink / raw
  To: gentoo-commits

commit:     95d2003eee1eb4748f177b5732d78d5590253a3b
Author:     Gabriel Caudrelier <gabriel.caudrelier <AT> gmail <DOT> com>
AuthorDate: Sun Aug  4 21:59:35 2019 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Sun Aug  4 23:38:39 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95d2003e

app-misc/pip3line: package removal

Signed-off-by: Gabriel Caudrelier <gabriel.caudrelier <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/12620
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>

 app-misc/pip3line/Manifest              |  1 -
 app-misc/pip3line/metadata.xml          | 17 -------
 app-misc/pip3line/pip3line-3.6.0.ebuild | 87 ---------------------------------
 app-misc/pip3line/pip3line-9999.ebuild  | 87 ---------------------------------
 4 files changed, 192 deletions(-)

diff --git a/app-misc/pip3line/Manifest b/app-misc/pip3line/Manifest
deleted file mode 100644
index 25f8349bf5a..00000000000
--- a/app-misc/pip3line/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST pip3line-3.6.0.tar.gz 736294 BLAKE2B 75bc3bcd3ad547a31a1fc97f525a8575136ba1bcb48e5e9d7292732c04d2a62cd03710a4e6d76a652d5259e5081cf8cc8c2dfc3265ecf1f3ea5cbc6870c02ab6 SHA512 4263d18749533f1137dc3546a6a5b5856f9c5dc09355c866c7e6a8fc59787c84ee979f648f563c465aab314ff9155bba6e34e7d4641438d96bdb786c93dfaec8

diff --git a/app-misc/pip3line/metadata.xml b/app-misc/pip3line/metadata.xml
deleted file mode 100644
index 9cc54c99226..00000000000
--- a/app-misc/pip3line/metadata.xml
+++ /dev/null
@@ -1,17 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-	<maintainer type="person">
-		<email>gabriel.caudrelier@gmail.com</email>
-		<name>Gabriel Caudrelier</name>
-	</maintainer>
-	<maintainer type="project">
-		<email>proxy-maint@gentoo.org</email>
-		<name>Proxy Maintainers</name>
-	</maintainer>
-	<use>
-		<flag name='distorm'>Compile the Distorm plugin</flag>
-		<flag name='qscintilla'>Use QScintilla for more efficient text display</flag>
-		<flag name='ssl'>Compile the plugin adding miscellaneous hashes from OpenSSL</flag>
-	</use>
-</pkgmetadata>

diff --git a/app-misc/pip3line/pip3line-3.6.0.ebuild b/app-misc/pip3line/pip3line-3.6.0.ebuild
deleted file mode 100644
index 8506a3ba996..00000000000
--- a/app-misc/pip3line/pip3line-3.6.0.ebuild
+++ /dev/null
@@ -1,87 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python{2_7,3_{5,6,7}} )
-
-inherit cmake-utils python-r1 python-utils-r1
-
-DESCRIPTION="Raw bytes manipulation, transformations (decoding and more) and interception"
-HOMEPAGE="https://github.com/metrodango/pip3line"
-
-if [[ ${PV} == 9999* ]] ; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/metrodango/pip3line.git"
-	EGIT_BRANCH="master"
-else
-	SRC_URI="https://github.com/metrodango/pip3line/archive/v${PV}.tar.gz  -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
-fi
-
-LICENSE="GPL-3"
-SLOT="0"
-
-# A few comments
-# the ssl flag is just there to enable the plugin for low level crypto algorithms. 
-# It has nothing to do with the SSL/TLS protocol itself.
-
-IUSE="distorm python qscintilla ssl"
-
-RDEPEND="
-	${PYTHON_DEPS}
-	dev-qt/qtconcurrent:5
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtnetwork:5
-	dev-qt/qtsvg:5
-	dev-qt/qtwidgets:5
-	dev-qt/qtxmlpatterns:5
-	qscintilla? ( x11-libs/qscintilla )
-	ssl? ( dev-libs/openssl:0= )"
-
-DEPEND="${RDEPEND}
-	distorm? ( dev-vcs/git )"
-
-src_configure() {
-
-	local mycmakeargs=(
-		-DBASIC=yes
-		-DWITH_DISTORM=$(usex distorm)
-		-DWITH_OPENSSL=$(usex ssl)
-		-DWITH_SCINTILLA=$(usex qscintilla)
-	)
-
-	# distorm is statically linked, due to insufficiencies
-	# in the current distorm64 package 
-
-	if use distorm; then
-		mycmakeargs+=(-DWITH_DISTORM_LINK_STATICALLY=ON)
-	fi
-
-	if use python; then
-		local targets=( ${PYTHON_TARGETS} )
-		for target in ${targets[@]}; do
-			if python_is_python3 ${target}; then
-				python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
-				mycmakeargs+=(-DWITH_PYTHON3=ON
-					-DPYTHON3_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
-					-DPYTHON3_LIBRARIES=${PYTHON_LIBPATH}
-				)
-				break
-			fi
-		done
-		for target in ${targets[@]}; do
-			if ! python_is_python3 ${target}; then
-				python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
-				mycmakeargs+=(-DWITH_PYTHON27=ON
-					-DPYTHON27_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
-					-DPYTHON27_LIBRARIES=${PYTHON_LIBPATH}
-				)
-				break
-			fi
-		done
-	fi
-
-	cmake-utils_src_configure
-}

diff --git a/app-misc/pip3line/pip3line-9999.ebuild b/app-misc/pip3line/pip3line-9999.ebuild
deleted file mode 100644
index 8506a3ba996..00000000000
--- a/app-misc/pip3line/pip3line-9999.ebuild
+++ /dev/null
@@ -1,87 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python{2_7,3_{5,6,7}} )
-
-inherit cmake-utils python-r1 python-utils-r1
-
-DESCRIPTION="Raw bytes manipulation, transformations (decoding and more) and interception"
-HOMEPAGE="https://github.com/metrodango/pip3line"
-
-if [[ ${PV} == 9999* ]] ; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/metrodango/pip3line.git"
-	EGIT_BRANCH="master"
-else
-	SRC_URI="https://github.com/metrodango/pip3line/archive/v${PV}.tar.gz  -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
-fi
-
-LICENSE="GPL-3"
-SLOT="0"
-
-# A few comments
-# the ssl flag is just there to enable the plugin for low level crypto algorithms. 
-# It has nothing to do with the SSL/TLS protocol itself.
-
-IUSE="distorm python qscintilla ssl"
-
-RDEPEND="
-	${PYTHON_DEPS}
-	dev-qt/qtconcurrent:5
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtnetwork:5
-	dev-qt/qtsvg:5
-	dev-qt/qtwidgets:5
-	dev-qt/qtxmlpatterns:5
-	qscintilla? ( x11-libs/qscintilla )
-	ssl? ( dev-libs/openssl:0= )"
-
-DEPEND="${RDEPEND}
-	distorm? ( dev-vcs/git )"
-
-src_configure() {
-
-	local mycmakeargs=(
-		-DBASIC=yes
-		-DWITH_DISTORM=$(usex distorm)
-		-DWITH_OPENSSL=$(usex ssl)
-		-DWITH_SCINTILLA=$(usex qscintilla)
-	)
-
-	# distorm is statically linked, due to insufficiencies
-	# in the current distorm64 package 
-
-	if use distorm; then
-		mycmakeargs+=(-DWITH_DISTORM_LINK_STATICALLY=ON)
-	fi
-
-	if use python; then
-		local targets=( ${PYTHON_TARGETS} )
-		for target in ${targets[@]}; do
-			if python_is_python3 ${target}; then
-				python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
-				mycmakeargs+=(-DWITH_PYTHON3=ON
-					-DPYTHON3_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
-					-DPYTHON3_LIBRARIES=${PYTHON_LIBPATH}
-				)
-				break
-			fi
-		done
-		for target in ${targets[@]}; do
-			if ! python_is_python3 ${target}; then
-				python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
-				mycmakeargs+=(-DWITH_PYTHON27=ON
-					-DPYTHON27_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
-					-DPYTHON27_LIBRARIES=${PYTHON_LIBPATH}
-				)
-				break
-			fi
-		done
-	fi
-
-	cmake-utils_src_configure
-}


^ permalink raw reply related	[flat|nested] 8+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-misc/pip3line/
@ 2019-08-05  9:40 Mikle Kolyada
  0 siblings, 0 replies; 8+ messages in thread
From: Mikle Kolyada @ 2019-08-05  9:40 UTC (permalink / raw
  To: gentoo-commits

commit:     f4f65d45f22443126899e9da05a580c3efeac386
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Mon Aug  5 09:37:56 2019 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Mon Aug  5 09:40:16 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f4f65d45

Revert "app-misc/pip3line: package removal"

package was removed without proper last riting procedure

This reverts commit 95d2003eee1eb4748f177b5732d78d5590253a3b.

Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 app-misc/pip3line/Manifest              |  1 +
 app-misc/pip3line/metadata.xml          | 17 +++++++
 app-misc/pip3line/pip3line-3.6.0.ebuild | 87 +++++++++++++++++++++++++++++++++
 app-misc/pip3line/pip3line-9999.ebuild  | 87 +++++++++++++++++++++++++++++++++
 4 files changed, 192 insertions(+)

diff --git a/app-misc/pip3line/Manifest b/app-misc/pip3line/Manifest
new file mode 100644
index 00000000000..25f8349bf5a
--- /dev/null
+++ b/app-misc/pip3line/Manifest
@@ -0,0 +1 @@
+DIST pip3line-3.6.0.tar.gz 736294 BLAKE2B 75bc3bcd3ad547a31a1fc97f525a8575136ba1bcb48e5e9d7292732c04d2a62cd03710a4e6d76a652d5259e5081cf8cc8c2dfc3265ecf1f3ea5cbc6870c02ab6 SHA512 4263d18749533f1137dc3546a6a5b5856f9c5dc09355c866c7e6a8fc59787c84ee979f648f563c465aab314ff9155bba6e34e7d4641438d96bdb786c93dfaec8

diff --git a/app-misc/pip3line/metadata.xml b/app-misc/pip3line/metadata.xml
new file mode 100644
index 00000000000..9cc54c99226
--- /dev/null
+++ b/app-misc/pip3line/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>gabriel.caudrelier@gmail.com</email>
+		<name>Gabriel Caudrelier</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<use>
+		<flag name='distorm'>Compile the Distorm plugin</flag>
+		<flag name='qscintilla'>Use QScintilla for more efficient text display</flag>
+		<flag name='ssl'>Compile the plugin adding miscellaneous hashes from OpenSSL</flag>
+	</use>
+</pkgmetadata>

diff --git a/app-misc/pip3line/pip3line-3.6.0.ebuild b/app-misc/pip3line/pip3line-3.6.0.ebuild
new file mode 100644
index 00000000000..8506a3ba996
--- /dev/null
+++ b/app-misc/pip3line/pip3line-3.6.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{5,6,7}} )
+
+inherit cmake-utils python-r1 python-utils-r1
+
+DESCRIPTION="Raw bytes manipulation, transformations (decoding and more) and interception"
+HOMEPAGE="https://github.com/metrodango/pip3line"
+
+if [[ ${PV} == 9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/metrodango/pip3line.git"
+	EGIT_BRANCH="master"
+else
+	SRC_URI="https://github.com/metrodango/pip3line/archive/v${PV}.tar.gz  -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+
+# A few comments
+# the ssl flag is just there to enable the plugin for low level crypto algorithms. 
+# It has nothing to do with the SSL/TLS protocol itself.
+
+IUSE="distorm python qscintilla ssl"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtsvg:5
+	dev-qt/qtwidgets:5
+	dev-qt/qtxmlpatterns:5
+	qscintilla? ( x11-libs/qscintilla )
+	ssl? ( dev-libs/openssl:0= )"
+
+DEPEND="${RDEPEND}
+	distorm? ( dev-vcs/git )"
+
+src_configure() {
+
+	local mycmakeargs=(
+		-DBASIC=yes
+		-DWITH_DISTORM=$(usex distorm)
+		-DWITH_OPENSSL=$(usex ssl)
+		-DWITH_SCINTILLA=$(usex qscintilla)
+	)
+
+	# distorm is statically linked, due to insufficiencies
+	# in the current distorm64 package 
+
+	if use distorm; then
+		mycmakeargs+=(-DWITH_DISTORM_LINK_STATICALLY=ON)
+	fi
+
+	if use python; then
+		local targets=( ${PYTHON_TARGETS} )
+		for target in ${targets[@]}; do
+			if python_is_python3 ${target}; then
+				python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
+				mycmakeargs+=(-DWITH_PYTHON3=ON
+					-DPYTHON3_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
+					-DPYTHON3_LIBRARIES=${PYTHON_LIBPATH}
+				)
+				break
+			fi
+		done
+		for target in ${targets[@]}; do
+			if ! python_is_python3 ${target}; then
+				python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
+				mycmakeargs+=(-DWITH_PYTHON27=ON
+					-DPYTHON27_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
+					-DPYTHON27_LIBRARIES=${PYTHON_LIBPATH}
+				)
+				break
+			fi
+		done
+	fi
+
+	cmake-utils_src_configure
+}

diff --git a/app-misc/pip3line/pip3line-9999.ebuild b/app-misc/pip3line/pip3line-9999.ebuild
new file mode 100644
index 00000000000..8506a3ba996
--- /dev/null
+++ b/app-misc/pip3line/pip3line-9999.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{5,6,7}} )
+
+inherit cmake-utils python-r1 python-utils-r1
+
+DESCRIPTION="Raw bytes manipulation, transformations (decoding and more) and interception"
+HOMEPAGE="https://github.com/metrodango/pip3line"
+
+if [[ ${PV} == 9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/metrodango/pip3line.git"
+	EGIT_BRANCH="master"
+else
+	SRC_URI="https://github.com/metrodango/pip3line/archive/v${PV}.tar.gz  -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+
+# A few comments
+# the ssl flag is just there to enable the plugin for low level crypto algorithms. 
+# It has nothing to do with the SSL/TLS protocol itself.
+
+IUSE="distorm python qscintilla ssl"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtsvg:5
+	dev-qt/qtwidgets:5
+	dev-qt/qtxmlpatterns:5
+	qscintilla? ( x11-libs/qscintilla )
+	ssl? ( dev-libs/openssl:0= )"
+
+DEPEND="${RDEPEND}
+	distorm? ( dev-vcs/git )"
+
+src_configure() {
+
+	local mycmakeargs=(
+		-DBASIC=yes
+		-DWITH_DISTORM=$(usex distorm)
+		-DWITH_OPENSSL=$(usex ssl)
+		-DWITH_SCINTILLA=$(usex qscintilla)
+	)
+
+	# distorm is statically linked, due to insufficiencies
+	# in the current distorm64 package 
+
+	if use distorm; then
+		mycmakeargs+=(-DWITH_DISTORM_LINK_STATICALLY=ON)
+	fi
+
+	if use python; then
+		local targets=( ${PYTHON_TARGETS} )
+		for target in ${targets[@]}; do
+			if python_is_python3 ${target}; then
+				python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
+				mycmakeargs+=(-DWITH_PYTHON3=ON
+					-DPYTHON3_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
+					-DPYTHON3_LIBRARIES=${PYTHON_LIBPATH}
+				)
+				break
+			fi
+		done
+		for target in ${targets[@]}; do
+			if ! python_is_python3 ${target}; then
+				python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
+				mycmakeargs+=(-DWITH_PYTHON27=ON
+					-DPYTHON27_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
+					-DPYTHON27_LIBRARIES=${PYTHON_LIBPATH}
+				)
+				break
+			fi
+		done
+	fi
+
+	cmake-utils_src_configure
+}


^ permalink raw reply related	[flat|nested] 8+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-misc/pip3line/
@ 2019-08-11 14:51 David Seifert
  0 siblings, 0 replies; 8+ messages in thread
From: David Seifert @ 2019-08-11 14:51 UTC (permalink / raw
  To: gentoo-commits

commit:     977072bb3d342ca7feb7fd1545c3560a83b637ff
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 11 14:51:22 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Aug 11 14:51:22 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=977072bb

app-misc/pip3line: [QA] Add missing PYTHON_REQUIRED_USE

Package-Manager: Portage-2.3.71, Repoman-2.3.17
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 app-misc/pip3line/pip3line-3.6.0.ebuild | 5 +++--
 app-misc/pip3line/pip3line-9999.ebuild  | 5 +++--
 2 files changed, 6 insertions(+), 4 deletions(-)

diff --git a/app-misc/pip3line/pip3line-3.6.0.ebuild b/app-misc/pip3line/pip3line-3.6.0.ebuild
index 8506a3ba996..6bc81c63024 100644
--- a/app-misc/pip3line/pip3line-3.6.0.ebuild
+++ b/app-misc/pip3line/pip3line-3.6.0.ebuild
@@ -23,10 +23,11 @@ LICENSE="GPL-3"
 SLOT="0"
 
 # A few comments
-# the ssl flag is just there to enable the plugin for low level crypto algorithms. 
+# the ssl flag is just there to enable the plugin for low level crypto algorithms.
 # It has nothing to do with the SSL/TLS protocol itself.
 
 IUSE="distorm python qscintilla ssl"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
 RDEPEND="
 	${PYTHON_DEPS}
@@ -53,7 +54,7 @@ src_configure() {
 	)
 
 	# distorm is statically linked, due to insufficiencies
-	# in the current distorm64 package 
+	# in the current distorm64 package
 
 	if use distorm; then
 		mycmakeargs+=(-DWITH_DISTORM_LINK_STATICALLY=ON)

diff --git a/app-misc/pip3line/pip3line-9999.ebuild b/app-misc/pip3line/pip3line-9999.ebuild
index 8506a3ba996..6bc81c63024 100644
--- a/app-misc/pip3line/pip3line-9999.ebuild
+++ b/app-misc/pip3line/pip3line-9999.ebuild
@@ -23,10 +23,11 @@ LICENSE="GPL-3"
 SLOT="0"
 
 # A few comments
-# the ssl flag is just there to enable the plugin for low level crypto algorithms. 
+# the ssl flag is just there to enable the plugin for low level crypto algorithms.
 # It has nothing to do with the SSL/TLS protocol itself.
 
 IUSE="distorm python qscintilla ssl"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
 RDEPEND="
 	${PYTHON_DEPS}
@@ -53,7 +54,7 @@ src_configure() {
 	)
 
 	# distorm is statically linked, due to insufficiencies
-	# in the current distorm64 package 
+	# in the current distorm64 package
 
 	if use distorm; then
 		mycmakeargs+=(-DWITH_DISTORM_LINK_STATICALLY=ON)


^ permalink raw reply related	[flat|nested] 8+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-misc/pip3line/
@ 2019-08-21  0:01 Aaron Bauman
  0 siblings, 0 replies; 8+ messages in thread
From: Aaron Bauman @ 2019-08-21  0:01 UTC (permalink / raw
  To: gentoo-commits

commit:     96714bf699cd959dae9bf1a906475fed36728869
Author:     Gabriel Caudrelier <gabriel.caudrelier <AT> gmail <DOT> com>
AuthorDate: Sun Aug 18 16:09:40 2019 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Wed Aug 21 00:00:37 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=96714bf6

app-misc/pip3line: Removing proxy maintainer

Signed-off-by: Gabriel Caudrelier <gabriel.caudrelier <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/12743
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>

 app-misc/pip3line/metadata.xml | 9 +--------
 1 file changed, 1 insertion(+), 8 deletions(-)

diff --git a/app-misc/pip3line/metadata.xml b/app-misc/pip3line/metadata.xml
index 9cc54c99226..a89190752a4 100644
--- a/app-misc/pip3line/metadata.xml
+++ b/app-misc/pip3line/metadata.xml
@@ -1,14 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<maintainer type="person">
-		<email>gabriel.caudrelier@gmail.com</email>
-		<name>Gabriel Caudrelier</name>
-	</maintainer>
-	<maintainer type="project">
-		<email>proxy-maint@gentoo.org</email>
-		<name>Proxy Maintainers</name>
-	</maintainer>
+	<!--maintainer-needed-->
 	<use>
 		<flag name='distorm'>Compile the Distorm plugin</flag>
 		<flag name='qscintilla'>Use QScintilla for more efficient text display</flag>


^ permalink raw reply related	[flat|nested] 8+ messages in thread

end of thread, other threads:[~2019-08-21  0:01 UTC | newest]

Thread overview: 8+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-11-29 20:48 [gentoo-commits] repo/gentoo:master commit in: app-misc/pip3line/ Virgil Dupras
  -- strict thread matches above, loose matches on Subject: below --
2018-12-08 22:17 Patrice Clement
2019-03-18 22:53 Patrice Clement
2019-05-19  0:07 Michael Palimaka
2019-08-04 23:39 Aaron Bauman
2019-08-05  9:40 Mikle Kolyada
2019-08-11 14:51 David Seifert
2019-08-21  0:01 Aaron Bauman

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox